Package org.apache.lucene.analysis.hunspell

# Class SuggestionTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.analysis.hunspell.SuggestionTimeoutException

All Implemented Interfaces:
  `Serializable`

public class SuggestionTimeoutException extends RuntimeException
An exception thrown when `Hunspell.suggest(java.lang.String)` call takes too long, if `TimeoutPolicy.THROW_EXCEPTION` is used.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestionTimeoutException(String message, List<String> partialResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getPartialResult()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SuggestionTimeoutException

    public SuggestionTimeoutException(String message, List<String> partialResult)

- ## Method Details

  - ### getPartialResult

    public List<String> getPartialResult()
    Returns:
      partial result calculated by `Hunspell.suggest(java.lang.String)` before the time limit was exceeded, or `null` if there's none available